Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.listeners
Class SchedulerListenerSupport

    java.lang.Object
      org.quartz.listeners.SchedulerListenerSupport

All Implemented Interfaces:
  SchedulerListener

Direct Known Subclasses:
  JobRunShell, QuartzServer, SampledStatisticsImpl

    public abstract class SchedulerListenerSupport

extends Object
implements SchedulerListener

A helpful abstract base class for implementors of ``SchedulerListener``.

The methods in this class are empty so you only need to override the subset for the ``SchedulerListener`` events you care about.

See Also:
  `SchedulerListener`

Constructor Summary
`SchedulerListenerSupport()`

Method Summary
`protected org.slf4j.Logger` | `getLog()` Get the ``Logger`` for this class's category.
`void` | `jobAdded(JobDetail jobDetail)` Called by the ``Scheduler`` when a ``JobDetail`` has been added.
`void` | `jobDeleted(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.
`void` | `jobPaused(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been paused.
`void` | `jobResumed(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been un-paused.
`void` | `jobScheduled(Trigger trigger)` Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.
`void` | `jobsPaused(String jobGroup)` Called by the ``Scheduler`` when a group of ``JobDetail`s` has been paused.
`void` | `jobsResumed(String jobGroup)` Called by the ``Scheduler`` when a group of ``JobDetail`s` has been un-paused.
`void` | `jobUnscheduled(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.
`void` | `schedulerError(String msg, SchedulerException cause)` Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.
`void` | `schedulerInStandbyMode()` Called by the ``Scheduler`` to inform the listener that it has move to standby mode.
`void` | `schedulerShutdown()` Called by the ``Scheduler`` to inform the listener that it has shutdown.
`void` | `schedulerShuttingdown()` Called by the ``Scheduler`` to inform the listener that it has begun the shutdown sequence.
`void` | `schedulerStarted()` Called by the ``Scheduler`` to inform the listener that it has started.
`void` | `schedulerStarting()` Called by the ``Scheduler`` to inform the listener that it is starting.
`void` | `schedulingDataCleared()` Called by the ``Scheduler`` to inform the listener that all jobs, triggers and calendars were deleted.
`void` | `triggerFinalized(Trigger trigger)` Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.
`void` | `triggerPaused(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``Trigger`` has been paused.
`void` | `triggerResumed(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``Trigger`` has been un-paused.
`void` | `triggersPaused(String triggerGroup)` Called by the ``Scheduler`` when a group of ``Trigger`s` has been paused.
`void` | `triggersResumed(String triggerGroup)` Called by the ``Scheduler`` when a group of ``Trigger`s` has been un-paused.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerListenerSupport

    public SchedulerListenerSupport()

Method Detail

### getLog

    protected org.slf4j.Logger getLog()

  Get the ``Logger`` for this class's category. This should be used by subclasses for logging.

### jobAdded

    public void jobAdded(JobDetail jobDetail)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been added.

  Specified by:
    `jobAdded` in interface `SchedulerListener`

### jobDeleted

    public void jobDeleted(JobKey jobKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.

  Specified by:
    `jobDeleted` in interface `SchedulerListener`

### jobPaused

    public void jobPaused(JobKey jobKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been paused.

  Specified by:
    `jobPaused` in interface `SchedulerListener`

### jobResumed

    public void jobResumed(JobKey jobKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been un-paused.

  Specified by:
    `jobResumed` in interface `SchedulerListener`

### jobScheduled

    public void jobScheduled(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.

  Specified by:
    `jobScheduled` in interface `SchedulerListener`

### jobsPaused

    public void jobsPaused(String jobGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a group of ``JobDetail`s` has been paused.

  Specified by:
    `jobsPaused` in interface `SchedulerListener`
  Parameters:
    `jobGroup` - the paused group, or null if all were paused

### jobsResumed

    public void jobsResumed(String jobGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a group of ``JobDetail`s` has been un-paused.

  Specified by:
    `jobsResumed` in interface `SchedulerListener`

### jobUnscheduled

    public void jobUnscheduled(TriggerKey triggerKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.

  Specified by:
    `jobUnscheduled` in interface `SchedulerListener`
  See Also:
    `SchedulerListener.schedulingDataCleared()`

### schedulerError

    public void schedulerError(String msg,
                               SchedulerException cause)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.

  The `getErrorCode()` method of the given SchedulerException can be used to determine more specific information about the type of error that was encountered.

  Specified by:
    `schedulerError` in interface `SchedulerListener`

### schedulerInStandbyMode

    public void schedulerInStandbyMode()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has move to standby mode.

  Specified by:
    `schedulerInStandbyMode` in interface `SchedulerListener`

### schedulerShutdown

    public void schedulerShutdown()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has shutdown.

  Specified by:
    `schedulerShutdown` in interface `SchedulerListener`

### schedulerShuttingdown

    public void schedulerShuttingdown()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has begun the shutdown sequence.

  Specified by:
    `schedulerShuttingdown` in interface `SchedulerListener`

### schedulerStarted

    public void schedulerStarted()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has started.

  Specified by:
    `schedulerStarted` in interface `SchedulerListener`

### schedulerStarting

    public void schedulerStarting()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it is starting.

  Specified by:
    `schedulerStarting` in interface `SchedulerListener`

### triggerFinalized

    public void triggerFinalized(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.

  Specified by:
    `triggerFinalized` in interface `SchedulerListener`

### triggerPaused

    public void triggerPaused(TriggerKey triggerKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has been paused.

  Specified by:
    `triggerPaused` in interface `SchedulerListener`

### triggerResumed

    public void triggerResumed(TriggerKey triggerKey)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has been un-paused.

  Specified by:
    `triggerResumed` in interface `SchedulerListener`

### triggersPaused

    public void triggersPaused(String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a group of ``Trigger`s` has been paused.

  If all groups were paused then triggerGroup will be null

  Specified by:
    `triggersPaused` in interface `SchedulerListener`
  Parameters:
    `triggerGroup` - the paused group, or null if all were paused

### triggersResumed

    public void triggersResumed(String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a group of ``Trigger`s` has been un-paused.

  Specified by:
    `triggersResumed` in interface `SchedulerListener`

### schedulingDataCleared

    public void schedulingDataCleared()

  Description copied from interface: `SchedulerListener`
  Called by the ``Scheduler`` to inform the listener that all jobs, triggers and calendars were deleted.

  Specified by:
    `schedulingDataCleared` in interface `SchedulerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.